<template>
    <form class="container" v-on:submit.prevent="submit()">
        <div class="col-12">
            <div class="row">
                <div class="col-6">
                    <div class="form-group">
                        <label>Nom
                            <span>*</span>
                        </label>
                        <input class="form-control" type="text" name="name" v-model="provider.name" required>
                    </div>
                </div>
                <div class="col-6">
                    <div class="form-group">
                        <label>Telephone
                            <span>*</span>
                        </label>
                        <input class="form-control" type="text" name="phone" v-model="provider.phone" required>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-6">
                    <div class="form-group">
                        <label>Société
                            <span>*</span>
                        </label>
                         <input class="form-control" type="text" name="company" v-model="provider.company" required>
                   
                    </div>
                </div>
                <div class="col-6">
                    <div class="form-group">
                        <label>Email</label>
                        <input class="form-control" type="email" name="email" v-model="provider.email" required>
                    </div>
                </div>
                <div class="col-12">
                    <div class="form-group">
                        <button class="btn btn-primary" type="submit"> Sauvegarder </button>
                        <button class="btn btn-secondary" type="button" v-on:click="retour()"> Retour </button>
                        <button class="btn btn-danger" type="button" v-on:click="remove()"> Supprimer </button>
                    </div>
                </div>
            </div>
        </div>
    </form>
</template>

<script>
export default {
    props: ['provider', 'companies'],
    methods: {
        submit: function () {
            this.$emit("submit");
        },
        retour: function () {
            this.$emit("back");
        },
        remove: function () {
            this.$emit("remove");
        }
    },
}
</script>

<style scoped>
span {
    color: red;
}
</style>
